OPENVT(1)

NUME
openvt - pornește un program pe un nou terminal virtual (VT).

SINOPSIS
openvt [-c vtnumber] [OPȚIUNI] [--] comanda

DESCRIERE
openvt va găsi primul VT disponibil și va rula pe el comanda dată cu opțiunile comenzii date, iar intrarea, ieșirea și ieșirea de eroare standard sunt direcționate către acel terminal. Ruta de căutare curentă ($PATH) este utilizată pentru a găsi comanda solicitată. Dacă nu se specifică nicio comandă, se utilizează variabila de mediu $SHELL.

  OPȚIUNI

-C, --console= NUMĂR_VT
    Utilizează numărul de terminal virtual (VT) dat și nu primul disponibil. Rețineți că trebuie să aveți acces de scriere la terminalul virtual (VT) furnizat pentru ca acest lucru să funcționeze.

-f, --force
    Forțează deschiderea unui terminal virtual fără a verifica dacă acesta este deja în uz.

-e, --exec
    Execută direct comanda dată, fără a se bifurca. Această opțiune este destinată utilizării în /etc/inittab.

-s, --switch
    Comută la noul terminal virtual la pornirea comenzii. Terminalul virtual al noii comenzi va fi transformat în noul terminal virtual curent.

-u, --user
    Descoperă proprietarul terminalului virtual (VT) curent și execută «login» ca acel utilizator. Poate fi apelat de «init». Nu ar trebui să fie utilizată cu -c sau -l.

-l, --login
    Face comanda un shell de autentificare. Se adaugă un - la numele comenzii care urmează să fie executată.

-v, --verbose
    Oferă informații detaliate.

-w, --wait
    Așteaptă finalizarea comenzii. Dacă „-w” și „-s” sunt utilizate împreună, atunci openvt va comuta înapoi la terminalul de control atunci când comanda se termină.

-V, --version
    afișează versiunea programului și iese.

-h, --help
    afișează acest mesaj de ajutor și iese.

--  sfârșitul opțiunilor pentru openvt.

NOTĂ
Dacă openvt este compilat cu getopt_long() și doriți să definiți opțiuni pentru comanda care urmează să fie executată, atunci trebuie să furnizați indicatorul de sfârșit de opțiuni „--” înaintea comenzii.

EXEMPLE
openvt poate fi folosit pentru a porni un shell pe următorul terminal virtual (VT) liber, folosind comanda:

openvt bash

Pentru a porni shell-ul ca un shell de autentificare, utilizați:

openvt -l bash

Pentru a obține o listă lungă, trebuie să furnizați separatorul „--”:

openvt -- ls -l

ISTORIC
Anterior, openvt se numea open. A fost scris de Jon Tombs <jon@gtex02.us.es> sau <jon@robots.ox.ac.uk>. Ideea -w este de la „sam”.

CONSULTAȚI ȘI
chvt(1), deallocvt(1), vlock(1), login(1)

TRADUCERE
Traducerea în limba română a acestui manual a fost făcută de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă NICIO RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.